Index: /branches/version-2_13-dev/data/class/util/SC_Utils.php
===================================================================
--- /branches/version-2_13-dev/data/class/util/SC_Utils.php	(revision 23005)
+++ /branches/version-2_13-dev/data/class/util/SC_Utils.php	(revision 23124)
@@ -2051,12 +2059,12 @@
      * 階層情報が含まれている配列から親ID配列を取得する.
      *
-     * @param integer $start_id 取得起点
-     * @param string $primary_key 主キー名
-     * @param string $glue_key 親IDキー名
-     * @param array $correction 階層構造が含まれている配列
-     * @param boolean $cid_is_key キーがIDの配列の場合はtrue
-     * @param integer $root_id ルートID
-     * @param boolean $id_only IDだけの配列を返す場合はtrue
-     * @return array 親ID配列
+     * @param  integer $start_id    取得起点
+     * @param  string  $primary_key 主キー名
+     * @param  string  $glue_key    親IDキー名
+     * @param  array   $correction  階層構造が含まれている配列
+     * @param  boolean $cid_is_key  キーがIDの配列の場合はtrue
+     * @param  integer $root_id     ルートID
+     * @param  boolean $id_only     IDだけの配列を返す場合はtrue
+     * @return array   親ID配列
      */
     public static function getTreeTrail($start_id, $primary_key, $glue_key, $correction = array(), $cid_is_key = FALSE, $root_id = 0, $id_only = TRUE)
Index: /branches/version-2_13-dev/data/class/util/GC_Utils.php
===================================================================
--- /branches/version-2_13-dev/data/class/util/GC_Utils.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/util/GC_Utils.php	(revision 23124)
@@ -36,8 +36,8 @@
      * ログファイルに変数の詳細を出力
      *
-     * @param mixed $obj
+     * @param  mixed $obj
      * @return void
      */
-    function gfDebugLog($obj)
+    public function gfDebugLog($obj)
     {
         if (USE_VERBOSE_LOG === true) {
@@ -51,8 +51,8 @@
      * 呼び出し元関数名を返します
      *
-     * @param int $forLogInfo ログ出力用に利用するかどうか(1:ログ出力用に利用する)
+     * @param  int    $forLogInfo ログ出力用に利用するかどうか(1:ログ出力用に利用する)
      * @return string 呼び出し元クラス、関数名、行数の文字列表現
      */
-    function gfGetCallerInfo($forLogInfo = true)
+    public function gfGetCallerInfo($forLogInfo = true)
     {
         // バックトレースを取得する
@@ -77,5 +77,5 @@
      * エラーハンドリングに関わる情報を切り捨てる。
      */
-    function getDebugBacktrace($arrBacktrace = null)
+    public function getDebugBacktrace($arrBacktrace = null)
     {
         if (is_null($arrBacktrace)) {
@@ -124,5 +124,5 @@
      * @deprecated 2.12.0
      */
-    function gfGetLogStr($mess, $log_level = 'Info')
+    public function gfGetLogStr($mess, $log_level = 'Info')
     {
         trigger_error('前方互換用メソッドが使用されました。', E_USER_WARNING);
@@ -143,5 +143,5 @@
      * @deprecated 2.12.0 GC_Utils_Ex::gfPrintLog を使用すること
      */
-    function gfAdminLog($mess, $log_level = 'Info')
+    public function gfAdminLog($mess, $log_level = 'Info')
     {
         trigger_error('前方互換用メソッドが使用されました。', E_USER_WARNING);
@@ -160,5 +160,5 @@
      * @deprecated 2.12.0 GC_Utils_Ex::gfPrintLog を使用すること
      */
-    function gfFrontLog($mess, $log_level = 'Info')
+    public function gfFrontLog($mess, $log_level = 'Info')
     {
         trigger_error('前方互換用メソッドが使用されました。', E_USER_WARNING);
@@ -178,7 +178,7 @@
      * @param string $msg
      * @param string $path
-     * @param bool $verbose 冗長な出力を行うか
-     */
-    function gfPrintLog($msg, $path = '', $verbose = USE_VERBOSE_LOG)
+     * @param bool   $verbose 冗長な出力を行うか
+     */
+    public function gfPrintLog($msg, $path = '', $verbose = USE_VERBOSE_LOG)
     {
         // 日付の取得
@@ -212,10 +212,10 @@
      * XXX この類のローテーションは通常 0 開始だが、本実装は 1 開始である。
      * この中でログ出力は行なわないこと。(無限ループの懸念あり)
-     * @param integer $max_log 最大ファイル数
-     * @param integer $max_size 最大サイズ
-     * @param string  $path ファイルパス
+     * @param  integer $max_log  最大ファイル数
+     * @param  integer $max_size 最大サイズ
+     * @param  string  $path     ファイルパス
      * @return void
      */
-    function gfLogRotation($max_log, $max_size, $path)
+    public function gfLogRotation($max_log, $max_size, $path)
     {
         // ファイルが存在しない場合、終了
@@ -254,8 +254,8 @@
      * [注釈] -
      *----------------------------------------------------------------------*/
-    function gfMakePassword($pwLength)
+    public function gfMakePassword($pwLength)
     {
         // 乱数表のシードを決定
-        srand((double)microtime() * 54234853);
+        srand((double) microtime() * 54234853);
 
         // パスワード文字列の配列を作成
@@ -280,5 +280,5 @@
      *----------------------------------------------------------------------------------------------------------------------*/
 
-    function gfMailHeaderAddr($str)
+    public function gfMailHeaderAddr($str)
     {
         $addrs = explode(',', $str); //アドレスを配列に入れる
@@ -301,8 +301,8 @@
      *
      * 現状スタックトレースの形で出力している。
-     * @param array $arrBacktrace バックトレース
+     * @param  array  $arrBacktrace バックトレース
      * @return string テキストで表現したバックトレース
      */
-    function toStringBacktrace($arrBacktrace)
+    public function toStringBacktrace($arrBacktrace)
     {
         $string = '';
@@ -325,8 +325,8 @@
      *
      * 該当する定数がない場合、$error_type を返す。
-     * @param integer $error_type エラー型
+     * @param  integer        $error_type エラー型
      * @return string|integer エラー定数名
      */
-    function getErrorTypeName($error_type)
+    public function getErrorTypeName($error_type)
     {
         $arrDefinedConstants = get_defined_constants(true);
@@ -361,5 +361,5 @@
      * @return string 現在のURL
      */
-    function getUrl()
+    public function getUrl()
     {
         $url = '';
@@ -384,5 +384,5 @@
      * @return bool 管理機能か
      */
-    function isAdminFunction()
+    public function isAdminFunction()
     {
         return defined('ADMIN_FUNCTION') && ADMIN_FUNCTION === true;
@@ -394,5 +394,5 @@
      * @return bool フロント機能か
      */
-    function isFrontFunction()
+    public function isFrontFunction()
     {
         return defined('FRONT_FUNCTION') && FRONT_FUNCTION === true;
@@ -404,5 +404,5 @@
      * @return bool インストール機能か
      */
-    function isInstallFunction()
+    public function isInstallFunction()
     {
         return defined('INSTALL_FUNCTION') && INSTALL_FUNCTION === true;
@@ -416,5 +416,5 @@
      * @return string XML宣言の文字列
      */
-    function printXMLDeclaration()
+    public function printXMLDeclaration()
     {
         $ua = $_SERVER['HTTP_USER_AGENT'];
Index: /branches/version-2_13-dev/data/class/SC_MobileView.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_MobileView.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/SC_MobileView.php	(revision 23124)
@@ -24,10 +24,10 @@
 class SC_MobileView extends SC_SiteView_Ex
 {
-    function __construct($setPrevURL = true)
+    public function __construct($setPrevURL = true)
     {
         parent::__construct($setPrevURL);
     }
 
-    function init()
+    public function init()
     {
         parent::init();
Index: /branches/version-2_13-dev/data/class/SC_Display.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_Display.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/SC_Display.php	(revision 23124)
@@ -30,14 +30,14 @@
 class SC_Display
 {
-    var $response;
+    public $response;
 
     /** 端末種別を保持する */
     // XXX プロパティとして保持する必要があるのか疑問。
-    static $device;
+    public static $device;
 
     /** SC_View インスタンス */
-    var $view;
+    public $view;
 
-    var $deviceSeted = false;
+    public $deviceSeted = false;
 
     /*
@@ -49,5 +49,5 @@
      */
 
-    function __construct($hasPrevURL = true)
+    public function __construct($hasPrevURL = true)
     {
         $this->response = new SC_Response_Ex();
@@ -57,5 +57,5 @@
     }
 
-    function setPrevURL()
+    public function setPrevURL()
     {
         // TODO SC_SiteSession で実装した方が良さげ
@@ -70,5 +70,5 @@
      * @param $is_admin boolean 管理画面を扱う場合 true
      */
-    function prepare($page, $is_admin = false)
+    public function prepare($page, $is_admin = false)
     {
         if (!$this->deviceSeted || !is_null($this->view)) {
@@ -86,10 +86,10 @@
      * SC_Response::reload() のラッパーです.
      */
-    function reload($queryString = array(), $removeQueryString = false)
+    public function reload($queryString = array(), $removeQueryString = false)
     {
         $this->response->reload($queryString, $removeQueryString);
     }
 
-    function noAction()
+    public function noAction()
     {
         return;
@@ -99,5 +99,5 @@
      * ヘッダを追加する.
      */
-    function addHeader($name, $value)
+    public function addHeader($name, $value)
     {
         $this->response->addHeader($name, $value);
@@ -108,5 +108,5 @@
      * Enter description here ...
      */
-    function setDevice($device = DEVICE_TYPE_PC)
+    public function setDevice($device = DEVICE_TYPE_PC)
     {
         switch ($device) {
@@ -133,5 +133,5 @@
      * SC_View インスタンスを設定する.
      */
-    function setView($view)
+    public function setView($view)
     {
         $this->view = $view;
@@ -146,5 +146,5 @@
      *
      * @static
-     * @param   $reset  boolean
+     * @param          $reset boolean
      * @return integer 端末種別ID
      */
@@ -166,15 +166,15 @@
     }
 
-    function assign($val1,$val2)
+    public function assign($val1,$val2)
     {
         $this->view->assign($val1, $val2);
     }
 
-    function assignobj($obj)
+    public function assignobj($obj)
     {
         $this->view->assignobj($obj);
     }
 
-    function assignarray($array)
+    public function assignarray($array)
     {
         $this->view->assignarray($array);
Index: /branches/version-2_13-dev/data/class/batch/SC_Batch_Update.php
===================================================================
--- /branches/version-2_13-dev/data/class/batch/SC_Batch_Update.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/batch/SC_Batch_Update.php	(revision 23124)
@@ -36,18 +36,18 @@
      * 変換したいファイルの拡張子をカンマ区切りで羅列.
      */
-    var $includes = 'php,inc,tpl,css,sql,js,png,jpg,gif,swf,txt,doc,pdf';
+    public $includes = 'php,inc,tpl,css,sql,js,png,jpg,gif,swf,txt,doc,pdf';
 
     /**
      * 除外するファイル名をカンマ区切りで羅列.
      */
-    var $excludes = 'distinfo.php';
+    public $excludes = 'distinfo.php';
 
     /**
      * バッチ処理を実行する.
      *
-     * @param string $target アップデータファイルのディレクトリパス
+     * @param  string $target アップデータファイルのディレクトリパス
      * @return void
      */
-    function execute($target = '.')
+    public function execute($target = '.')
     {
         $msg = '';
@@ -68,4 +68,5 @@
             $arrLog['err'][] = $msg;
             $this->printLog($msg);
+
             return $arrLog;
         }
@@ -196,5 +197,5 @@
      * @see http://www.php.net/glob
      */
-    function listdirs($dir)
+    public function listdirs($dir)
     {
         static $alldirs = array();
@@ -215,5 +216,5 @@
      * @param string $path 絶対パス
      */
-    function lfMkdirRecursive($path)
+    public function lfMkdirRecursive($path)
     {
         $path = dirname($path);
@@ -239,5 +240,5 @@
     }
 
-    function makeDistInfo($bkupDistInfoArray)
+    public function makeDistInfo($bkupDistInfoArray)
     {
         $src = "<?php\n"
@@ -252,5 +253,5 @@
     }
 
-    function printLog($msg)
+    public function printLog($msg)
     {
         GC_Utils_Ex::gfPrintLog($msg, DATA_REALDIR . 'logs/ownersstore_batch_update.log');
Index: /branches/version-2_13-dev/data/class/SC_SiteSession.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_SiteSession.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/SC_SiteSession.php	(revision 23124)
@@ -26,5 +26,5 @@
 {
     /* コンストラクタ */
-    function __construct()
+    public function __construct()
     {
         // 前ページでの登録成功判定を引き継ぐ
@@ -42,5 +42,5 @@
 
     /* 前ページが正当であるかの判定 */
-    function isPrePage()
+    public function isPrePage()
     {
         if ($_SESSION['site']['pre_page'] != '' && $_SESSION['site']['now_page'] != '') {
@@ -53,5 +53,5 @@
     }
 
-    function setNowPage($path)
+    public function setNowPage($path)
     {
         $_SESSION['site']['now_page'] = $path;
@@ -59,5 +59,5 @@
 
     /* 値の取得 */
-    function getValue($keyname)
+    public function getValue($keyname)
     {
         return $_SESSION['site'][$keyname];
@@ -65,5 +65,5 @@
 
     /* ユニークIDの取得 */
-    function getUniqId()
+    public function getUniqId()
     {
         // ユニークIDがセットされていない場合はセットする。
@@ -76,5 +76,5 @@
 
     /* ユニークIDのセット */
-    function setUniqId()
+    public function setUniqId()
     {
         // 予測されないようにランダム文字列を付与する。
@@ -83,5 +83,5 @@
 
     /* ユニークIDのチェック */
-    function checkUniqId()
+    public function checkUniqId()
     {
         if (!empty($_POST['uniqid'])) {
@@ -95,5 +95,5 @@
 
     /* ユニークIDの解除 */
-    function unsetUniqId()
+    public function unsetUniqId()
     {
         $_SESSION['site']['uniqid'] = '';
@@ -101,5 +101,5 @@
 
     /* 登録成功を記録 */
-    function setRegistFlag()
+    public function setRegistFlag()
     {
         $_SESSION['site']['regist_success'] = true;
Index: /branches/version-2_13-dev/data/class/SC_Cookie.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_Cookie.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/SC_Cookie.php	(revision 23124)
@@ -28,8 +28,8 @@
 class SC_Cookie
 {
-    var $expire;
+    public $expire;
 
     // コンストラクタ
-    function __construct($day = COOKIE_EXPIRE)
+    public function __construct($day = COOKIE_EXPIRE)
     {
         // 有効期限
@@ -38,5 +38,5 @@
 
     // クッキー書き込み
-    function setCookie($key, $val)
+    public function setCookie($key, $val)
     {
         setcookie($key, $val, $this->expire, ROOT_URLPATH, DOMAIN_NAME);
@@ -48,5 +48,5 @@
      * EC-CUBE をURLパスルート以外にインストールしている場合、上位ディレクトリの値も(劣後ではあるが)取得する点に留意。
      */
-    function getCookie($key)
+    public function getCookie($key)
     {
         return isset($_COOKIE[$key]) ? $_COOKIE[$key] : null;
Index: /branches/version-2_13-dev/data/class/db/SC_DB_DBFactory.php
===================================================================
--- /branches/version-2_13-dev/data/class/db/SC_DB_DBFactory.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/db/SC_DB_DBFactory.php	(revision 23124)
@@ -34,8 +34,8 @@
      * DB_TYPE に応じた DBFactory インスタンスを生成する.
      *
-     * @param string $db_type 任意のインスタンスを返したい場合は DB_TYPE 文字列を指定
-     * @return mixed DBFactory インスタンス
+     * @param  string $db_type 任意のインスタンスを返したい場合は DB_TYPE 文字列を指定
+     * @return mixed  DBFactory インスタンス
      */
-    function getInstance($db_type = DB_TYPE)
+    public function getInstance($db_type = DB_TYPE)
     {
         switch ($db_type) {
@@ -58,8 +58,8 @@
      * $dsn が空ではない場合は, $dsn の値を返す.
      *
-     * @param mixed $dsn データソース名
+     * @param  mixed $dsn データソース名
      * @return mixed データソース名またはDB接続パラメータの連想配列
      */
-    function getDSN($dsn = '')
+    public function getDSN($dsn = '')
     {
         if (empty($dsn)) {
@@ -84,8 +84,8 @@
      * DBのバージョンを取得する.
      *
-     * @param string $dsn データソース名
+     * @param  string $dsn データソース名
      * @return string データベースのバージョン
      */
-    function sfGetDBVersion($dsn = '')
+    public function sfGetDBVersion($dsn = '')
     { return null; }
 
@@ -93,8 +93,8 @@
      * MySQL 用の SQL 文に変更する.
      *
-     * @param string $sql SQL 文
+     * @param  string $sql SQL 文
      * @return string MySQL 用に置換した SQL 文
      */
-    function sfChangeMySQL($sql)
+    public function sfChangeMySQL($sql)
     { return null; }
 
@@ -102,8 +102,8 @@
      * 昨日の売上高・売上件数を算出する SQL を返す.
      *
-     * @param string $method SUM または COUNT
+     * @param  string $method SUM または COUNT
      * @return string 昨日の売上高・売上件数を算出する SQL
      */
-    function getOrderYesterdaySql($method)
+    public function getOrderYesterdaySql($method)
     { return null; }
 
@@ -111,8 +111,8 @@
      * 当月の売上高・売上件数を算出する SQL を返す.
      *
-     * @param string $method SUM または COUNT
+     * @param  string $method SUM または COUNT
      * @return string 当月の売上高・売上件数を算出する SQL
      */
-    function getOrderMonthSql($method)
+    public function getOrderMonthSql($method)
     { return null; }
 
@@ -122,5 +122,5 @@
      * @return string 昨日のレビュー書き込み件数を算出する SQL
      */
-    function getReviewYesterdaySql()
+    public function getReviewYesterdaySql()
     { return null; }
 
@@ -130,5 +130,5 @@
      * @return string 検索条件の SQL
      */
-    function getSendHistoryWhereStartdateSql()
+    public function getSendHistoryWhereStartdateSql()
     { return null; }
 
@@ -138,5 +138,5 @@
      * @return string 検索条件の SQL
      */
-    function getDownloadableDaysWhereSql()
+    public function getDownloadableDaysWhereSql()
     { return null; }
 
@@ -144,8 +144,8 @@
      * 文字列連結を行う.
      *
-     * @param array $columns 連結を行うカラム名
+     * @param  array  $columns 連結を行うカラム名
      * @return string 連結後の SQL 文
      */
-    function concatColumn($columns)
+    public function concatColumn($columns)
     { return null; }
 
@@ -156,8 +156,8 @@
      *
      * @deprecated SC_Query::listTables() を使用してください
-     * @param string $expression 検索文字列
-     * @return array テーブル名の配列
+     * @param  string $expression 検索文字列
+     * @return array  テーブル名の配列
      */
-    function findTableNames($expression = '')
+    public function findTableNames($expression = '')
     { return array(); }
 
@@ -167,9 +167,9 @@
      * 引数に部分一致するテーブル名を配列で返す.
      *
-     * @param string $table 対象テーブル名
-     * @param string $name 対象カラム名
-     * @return array インデックス設定情報配列
+     * @param  string $table 対象テーブル名
+     * @param  string $name  対象カラム名
+     * @return array  インデックス設定情報配列
      */
-    function sfGetCreateIndexDefinition($table, $name, $definition)
+    public function sfGetCreateIndexDefinition($table, $name, $definition)
     { return $definition; }
 
@@ -177,8 +177,8 @@
      * 各 DB に応じた SC_Query での初期化を行う
      *
-     * @param SC_Query $objQuery SC_Query インスタンス
+     * @param  SC_Query $objQuery SC_Query インスタンス
      * @return void
      */
-    function initObjQuery(SC_Query &$objQuery)
+    public function initObjQuery(SC_Query &$objQuery)
     {
     }
@@ -189,5 +189,5 @@
      * @return array テーブル名の配列
      */
-    function listTables(SC_Query &$objQuery)
+    public function listTables(SC_Query &$objQuery)
     {
         $objManager =& $objQuery->conn->loadModule('Manager');
Index: /branches/version-2_13-dev/data/class/db/dbfactory/SC_DB_DBFactory_MYSQL.php
===================================================================
--- /branches/version-2_13-dev/data/class/db/dbfactory/SC_DB_DBFactory_MYSQL.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/db/dbfactory/SC_DB_DBFactory_MYSQL.php	(revision 23124)
@@ -36,13 +36,13 @@
 {
     /** SC_Query インスタンス */
-    var $objQuery;
+    public $objQuery;
 
     /**
      * DBのバージョンを取得する.
      *
-     * @param string $dsn データソース名
+     * @param  string $dsn データソース名
      * @return string データベースのバージョン
      */
-    function sfGetDBVersion($dsn = '')
+    public function sfGetDBVersion($dsn = '')
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance($dsn);
@@ -56,8 +56,8 @@
      *
      * @access private
-     * @param string $sql SQL 文
+     * @param  string $sql SQL 文
      * @return string MySQL 用に置換した SQL 文
      */
-    function sfChangeMySQL($sql)
+    public function sfChangeMySQL($sql)
     {
         // 改行、タブを1スペースに変換
@@ -80,5 +80,5 @@
      * @return array 文字コード情報
      */
-    function getCharSet()
+    public function getCharSet()
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -91,8 +91,8 @@
      * 昨日の売上高・売上件数を算出する SQL を返す.
      *
-     * @param string $method SUM または COUNT
+     * @param  string $method SUM または COUNT
      * @return string 昨日の売上高・売上件数を算出する SQL
      */
-    function getOrderYesterdaySql($method)
+    public function getOrderYesterdaySql($method)
     {
         return 'SELECT ' . $method . '(total) FROM dtb_order '
@@ -105,8 +105,8 @@
      * 当月の売上高・売上件数を算出する SQL を返す.
      *
-     * @param string $method SUM または COUNT
+     * @param  string $method SUM または COUNT
      * @return string 当月の売上高・売上件数を算出する SQL
      */
-    function getOrderMonthSql($method)
+    public function getOrderMonthSql($method)
     {
         return 'SELECT '.$method.'(total) FROM dtb_order '
@@ -122,5 +122,5 @@
      * @return string 昨日のレビュー書き込み件数を算出する SQL
      */
-    function getReviewYesterdaySql()
+    public function getReviewYesterdaySql()
     {
         return 'SELECT COUNT(*) FROM dtb_review AS A '
@@ -138,5 +138,5 @@
      * @return string 検索条件の SQL
      */
-    function getSendHistoryWhereStartdateSql()
+    public function getSendHistoryWhereStartdateSql()
     {
         return 'start_date BETWEEN date_add(CURRENT_TIMESTAMP,INTERVAL -5 minute) AND date_add(CURRENT_TIMESTAMP,INTERVAL 5 minute)';
@@ -146,8 +146,8 @@
      * ダウンロード販売の検索条件の SQL を返す.
      *
-     * @param string $dtb_order_alias
+     * @param  string $dtb_order_alias
      * @return string 検索条件の SQL
      */
-    function getDownloadableDaysWhereSql($dtb_order_alias = 'dtb_order')
+    public function getDownloadableDaysWhereSql($dtb_order_alias = 'dtb_order')
     {
         return '(SELECT IF((SELECT d1.downloadable_days_unlimited FROM dtb_baseinfo d1)=1, 1, DATE(CURRENT_TIMESTAMP) <= DATE(DATE_ADD(' . $dtb_order_alias . '.payment_date, INTERVAL (SELECT downloadable_days FROM dtb_baseinfo) DAY))))';
@@ -157,8 +157,8 @@
      * 売上集計の期間別集計のSQLを返す
      *
-     * @param mixed $type
+     * @param  mixed  $type
      * @return string 検索条件のSQL
      */
-    function getOrderTotalDaysWhereSql($type)
+    public function getOrderTotalDaysWhereSql($type)
     {
         switch ($type) {
@@ -197,5 +197,5 @@
      * @return string 年代抽出部分の SQL
      */
-    function getOrderTotalAgeColSql()
+    public function getOrderTotalAgeColSql()
     {
         return 'TRUNC((YEAR(create_date) - YEAR(order_birth)) - (RIGHT(create_date, 5) < RIGHT(order_birth, 5)), -1)';
@@ -205,8 +205,8 @@
      * 文字列連結を行う.
      *
-     * @param array $columns 連結を行うカラム名
+     * @param  array  $columns 連結を行うカラム名
      * @return string 連結後の SQL 文
      */
-    function concatColumn($columns)
+    public function concatColumn($columns)
     {
         $sql = 'concat(';
@@ -230,8 +230,8 @@
      * 引数に部分一致するテーブル名を配列で返す.
      *
-     * @param string $expression 検索文字列
-     * @return array テーブル名の配列
-     */
-    function findTableNames($expression = '')
+     * @param  string $expression 検索文字列
+     * @return array  テーブル名の配列
+     */
+    public function findTableNames($expression = '')
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -247,8 +247,8 @@
      *
      * @access private
-     * @param string $sql SQL文
+     * @param  string $sql SQL文
      * @return string 変換後の SQL 文
      */
-    function sfChangeILIKE($sql)
+    public function sfChangeILIKE($sql)
     {
         $changesql = preg_replace('/(^|[^\w])ILIKE([^\w]|$)/i', '$1LIKE$2', $sql);
@@ -261,8 +261,8 @@
      *
      * @access private
-     * @param string $sql SQL文
+     * @param  string $sql SQL文
      * @return string 変換後の SQL 文
      */
-    function sfChangeRANDOM($sql)
+    public function sfChangeRANDOM($sql)
     {
         $changesql = preg_replace('/(^|[^\w])RANDOM\(/i', '$1RAND(', $sql);
@@ -275,8 +275,8 @@
      *
      * @access private
-     * @param string $sql SQL文
+     * @param  string $sql SQL文
      * @return string 変換後の SQL 文
      */
-    function sfChangeTrunc($sql)
+    public function sfChangeTrunc($sql)
     {
         $changesql = preg_replace('/(^|[^\w])TRUNC([^\w]|$)/i', '$1TRUNCATE$2', $sql);
@@ -289,8 +289,8 @@
      *
      * @access private
-     * @param string $sql SQL文
+     * @param  string $sql SQL文
      * @return string 変換後の SQL 文
      */
-    function sfChangeArrayToString($sql)
+    public function sfChangeArrayToString($sql)
     {
         if (strpos(strtoupper($sql), 'ARRAY_TO_STRING') !== FALSE) {
@@ -311,9 +311,9 @@
      * 引数に部分一致するテーブル名を配列で返す.
      *
-     * @param string $table 対象テーブル名
-     * @param string $name 対象カラム名
-     * @return array インデックス設定情報配列
-     */
-    function sfGetCreateIndexDefinition($table, $name, $definition)
+     * @param  string $table 対象テーブル名
+     * @param  string $name  対象カラム名
+     * @return array  インデックス設定情報配列
+     */
+    public function sfGetCreateIndexDefinition($table, $name, $definition)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -337,5 +337,5 @@
      * @return string
      */
-    function getDummyFromClauseSql()
+    public function getDummyFromClauseSql()
     {
         return 'FROM DUAL';
@@ -345,8 +345,8 @@
      * 各 DB に応じた SC_Query での初期化を行う
      *
-     * @param SC_Query $objQuery SC_Query インスタンス
+     * @param  SC_Query $objQuery SC_Query インスタンス
      * @return void
      */
-    function initObjQuery(SC_Query &$objQuery)
+    public function initObjQuery(SC_Query &$objQuery)
     {
         $objQuery->exec('SET SESSION storage_engine = InnoDB');
Index: /branches/version-2_13-dev/data/class/db/dbfactory/SC_DB_DBFactory_PGSQL.php
===================================================================
--- /branches/version-2_13-dev/data/class/db/dbfactory/SC_DB_DBFactory_PGSQL.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/db/dbfactory/SC_DB_DBFactory_PGSQL.php	(revision 23124)
@@ -38,8 +38,8 @@
      * DBのバージョンを取得する.
      *
-     * @param string $dsn データソース名
+     * @param  string $dsn データソース名
      * @return string データベースのバージョン
      */
-    function sfGetDBVersion($dsn = '')
+    public function sfGetDBVersion($dsn = '')
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance($dsn);
@@ -56,8 +56,8 @@
      *
      * @access private
-     * @param string $sql SQL 文
+     * @param  string $sql SQL 文
      * @return string MySQL 用に置換した SQL 文
      */
-    function sfChangeMySQL($sql)
+    public function sfChangeMySQL($sql)
     {
         return $sql;
@@ -67,8 +67,8 @@
      * 昨日の売上高・売上件数を算出する SQL を返す.
      *
-     * @param string $method SUM または COUNT
+     * @param  string $method SUM または COUNT
      * @return string 昨日の売上高・売上件数を算出する SQL
      */
-    function getOrderYesterdaySql($method)
+    public function getOrderYesterdaySql($method)
     {
         return 'SELECT '.$method.'(total) FROM dtb_order '
@@ -81,8 +81,8 @@
      * 当月の売上高・売上件数を算出する SQL を返す.
      *
-     * @param string $method SUM または COUNT
+     * @param  string $method SUM または COUNT
      * @return string 当月の売上高・売上件数を算出する SQL
      */
-    function getOrderMonthSql($method)
+    public function getOrderMonthSql($method)
     {
         return 'SELECT '.$method.'(total) FROM dtb_order '
@@ -98,5 +98,5 @@
      * @return string 昨日のレビュー書き込み件数を算出する SQL
      */
-    function getReviewYesterdaySql()
+    public function getReviewYesterdaySql()
     {
         return 'SELECT COUNT(*) FROM dtb_review AS A '
@@ -114,5 +114,5 @@
      * @return string 検索条件の SQL
      */
-    function getSendHistoryWhereStartdateSql()
+    public function getSendHistoryWhereStartdateSql()
     {
         return "start_date BETWEEN current_timestamp + '- 5 minutes' AND current_timestamp + '5 minutes'";
@@ -122,8 +122,8 @@
      * ダウンロード販売の検索条件の SQL を返す.
      *
-     * @param string $dtb_order_alias
+     * @param  string $dtb_order_alias
      * @return string 検索条件の SQL
      */
-    function getDownloadableDaysWhereSql($dtb_order_alias = 'dtb_order')
+    public function getDownloadableDaysWhereSql($dtb_order_alias = 'dtb_order')
     {
         $baseinfo = SC_Helper_DB_Ex::sfGetBasisData();
@@ -151,8 +151,8 @@
      * 売上集計の期間別集計のSQLを返す
      *
-     * @param mixed $type
+     * @param  mixed  $type
      * @return string 検索条件のSQL
      */
-    function getOrderTotalDaysWhereSql($type)
+    public function getOrderTotalDaysWhereSql($type)
     {
         switch ($type) {
@@ -191,5 +191,5 @@
      * @return string 年代抽出部分の SQL
      */
-    function getOrderTotalAgeColSql()
+    public function getOrderTotalAgeColSql()
     {
         return 'TRUNC(CAST(EXTRACT(YEAR FROM AGE(create_date, order_birth)) AS INT), -1)';
@@ -199,8 +199,8 @@
      * 文字列連結を行う.
      *
-     * @param array $columns 連結を行うカラム名
+     * @param  array  $columns 連結を行うカラム名
      * @return string 連結後の SQL 文
      */
-    function concatColumn($columns)
+    public function concatColumn($columns)
     {
         $sql = '';
@@ -224,8 +224,8 @@
      *
      * @deprecated SC_Query::listTables() を使用してください
-     * @param string $expression 検索文字列
-     * @return array テーブル名の配列
-     */
-    function findTableNames($expression = '')
+     * @param  string $expression 検索文字列
+     * @return array  テーブル名の配列
+     */
+    public function findTableNames($expression = '')
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -253,5 +253,5 @@
      * @return array 文字コード情報
      */
-    function getCharSet()
+    public function getCharSet()
     {
         // 未実装
@@ -264,5 +264,5 @@
      * @return string
      */
-    function getDummyFromClauseSql()
+    public function getDummyFromClauseSql()
     {
         return '';
@@ -275,5 +275,5 @@
      * @return array テーブル名の配列
      */
-    function listTables(SC_Query &$objQuery)
+    public function listTables(SC_Query &$objQuery)
     {
         $col = 'tablename';
